ControlLine Class

The ControlLine class defines a user defined (possibly magnetic) line helping in modeling work.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public sealed class ControlLine : ModelObject

The ControlLine type exposes the following members.

Constructors
  NameDescription
Public methodControlLine
Creates a new control line instance.

The default values are as follows:

  • Line = new LineSegment();
  • IsMagnetic = false;
  • Color = ControlLineColorEnum.YELLOW;
  • Extension = 0.0;
Public methodControlLine(LineSegment, Boolean)
Creates a new control line instance taking the line segment and magnetism as input.
Top
Properties
  NameDescription
Public propertyColor
The color of the control line.
Public propertyExtension
The extension of the control line.
Public propertyIdentifier
The identifier of the object.
(Inherited from Object.)
Public propertyIsMagnetic
Determines whether the line is magnetic or not.
Public propertyIsUpToDate
Gets if the object does not have a modification which is not shared.
(Inherited from ModelObject.)
Public propertyLine
The line segment defining the position of the control line.
Public propertyLineType
The line type of the control line.
Public propertyModificationTime
Gets latest time of the object was modified or created.
(Inherited from ModelObject.)
Top
Methods
  NameDescription
Public methodCompareTo
Compares Identifiers of model objects.
(Inherited from ModelObject.)
Public methodDelete
Deletes the control line with the given Identifier.
(Overrides ModelObjectDelete.)
Public methodEquals
Check if Identifiers of model objects are same.
(Inherited from ModelObject.)
Public methodCode exampleGetAllReportProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public methodGetAllUserProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public methodGetChildren
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.)
Public methodGetCoordinateSystem
Returns the coordinate system for the given model object.
(Inherited from ModelObject.)
Public methodGetDoubleReportProperties
Retrieves multiple double report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetDoubleUserProperties
Retrieves all double properties for the model object.
(Inherited from ModelObject.)
Public methodGetDynamicStringProperty
Gets a dynamic string property from the model object.
(Inherited from ModelObject.)
Public methodGetFatherComponent
Returns the father component of the model object.
(Inherited from ModelObject.)
Public methodGetHierarchicObjects
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.)
Public methodGetIntegerReportProperties
Retrieves multiple integer report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetIntegerUserProperties
Retrieves all integer properties for the model object.
(Inherited from ModelObject.)
Public methodGetPhase
Retrieves the phase of the model object (the phase number, the phase name, the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.)
Public methodGetReportProperty(String, Double)
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetReportProperty(String, Int32)
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetReportProperty(String, String)
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.)
Public methodGetStringReportProperties
Retrieves multiple string report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public methodGetStringUserProperties
Retrieves all string properties for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, Double)
Retrieves a double property for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, Int32)
Retrieves an integer property for the model object.
(Inherited from ModelObject.)
Public methodGetUserProperty(String, String)
Retrieves a string property for the model object.
(Inherited from ModelObject.)
Public methodInsert
Inserts the control line into the model.
(Overrides ModelObjectInsert.)
Public methodModify
Modifies the control line with the given Identifier.
(Overrides ModelObjectModify.)
Public methodSelect
Selects the control line with the given Identifier.
(Overrides ModelObjectSelect.)
Public methodSetDynamicStringProperty
Sets a dynamic string property for the model object.
(Inherited from ModelObject.)
Public methodSetLabel
Sets a label for an object when a new instance is created, this method must be called before Insert. The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.)
Public methodSetPhase
Sets the phase of the model object.
(Inherited from ModelObject.)
Public methodSetUserProperties
Sets multiple properties for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, Double)
Sets a double property for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, Int32)
Sets an integer property for the model object.
(Inherited from ModelObject.)
Public methodSetUserProperty(String, String)
Sets a string property for the model object.
(Inherited from ModelObject.)
Top
Examples
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;

public class Example
{
       public void Example1()
       {
           ControlLine controlLine = new ControlLine();

           LineSegment line = new LineSegment();
           line.Point1 = new Point(6000,6000,0);
           line.Point2 = new Point(6000,12000,0);

           controlLine.Line = line;
           controlLine.IsMagnetic = true;

           bool Result = false;
           Result = controlLine.Insert();
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next